/**
 * 米白色主题
 * @author yutent<yutent@doui.cc>
 * @date 2018/12/01 13:33:44
 */

const fs = require('iofs')
const path = require('path')
const readline = require('readline')

const colors = require('./src/colors')

const base = require('./src/base')
const es = require('./src/es')
const php = require('./src/php')
const html = require('./src/html')
const plaintext = require('./src/plaintext')
const json = require('./src/json')
const dart = require('./src/dart')
const tokenColors = [].concat(base, html, es, php, plaintext, dart, json)

for (let it of tokenColors) {
  if (Array.isArray(it.scope)) {
    it.scope = it.scope.join(', ')
  }
}

const theme = {
  name: '米白色主题',
  type: 'light',
  colors,
  tokenColors
}

fs.echo(JSON.stringify(theme, '', 2), path.join('./themes', 'color-theme.json'))

// 这个就只是单纯的用来阻止进程结束, 方便pm2
readline.createInterface({
  input: process.stdin,
  output: process.stdout
})

console.log('Build complete...')
